<?php
/**
 * @author     Agile CRM <info@agilecrm.com>
 * @date       26.10.16
 *
 * @copyright  Copyright (C) 2012 - 2016 agilecrm.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

/**
 * jDownloads Config Controller
 *
 */
class jdownloadsControlleremailcampaigns extends jdownloadsController
{
	/**
	 * Constructor
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra task
		$this->registerTask( 'apply', 	'save' );
	}

	/**
	 * logic for cancel the work on configuration
	 *
	 * @access public
	 * @return void
	 */
	public function cancel() {

		$this->setRedirect( 'index.php?option=com_agilecrm' );
	}	

	/**
	 * logic to save the config data
	 *
	 * @access public
	 * @return void
	 */
	public function save() {
 
        JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
        
        jimport('joomla.filesystem.file');
        jimport('joomla.filesystem.folder'); 

        $jinput             = JFactory::getApplication()->input;
        $config             = JFactory::getConfig();
        $secret             = $config->get( 'secret' );

        $config_data        = $jinput->get('jlistConfig', array(), 'array');
        
        if ($task == 'apply'){
            $this->setRedirect( 'index.php?option=com_agilecrm&view=landingpages', $msg );        
        } else {
            $this->setRedirect( 'index.php?option=com_agilecrm', $msg );
        }	
	}  
}
?>